<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* localvideo-form-edit.twig */
class __TwigTemplate_76bf130f3d15baa513e1ebd3120d1a40fe92b9627482044391867673e2a35272 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 9
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 10
        $context["forms"] = $this->loadTemplate("forms.twig", "localvideo-form-edit.twig", 10)->unwrap();
        // line 9
        $this->parent = $this->loadTemplate("form-base.twig", "localvideo-form-edit.twig", 9);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 12
    public function block_formTitle($context, array $blocks = [])
    {
        // line 13
        echo "    ";
        echo __("Edit Local Video");
    }

    // line 16
    public function block_formHtml($context, array $blocks = [])
    {
        // line 17
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"localVideoEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 19
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("module.widget.edit", ["id" => $this->getAttribute($this->getAttribute(($context["module"] ?? null), "widget", []), "widgetId", [])]), "html", null, true);
        echo "\">
                ";
        // line 20
        ob_start(function () { return ''; });
        echo __("Video Path");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 21
        echo "                ";
        ob_start(function () { return ''; });
        echo __("A local file path or URL to the video. This can be a RTSP stream.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 22
        echo "                ";
        $context["uri"] = $this->env->getExtension('Xibo\Twig\UrlDecodeTwigExtension')->urlDecode($this->getAttribute(($context["module"] ?? null), "getOption", [0 => "uri"], "method"));
        // line 23
        echo "                ";
        echo $context["forms"]->getinput("uri", ($context["title"] ?? null), ($context["uri"] ?? null), ($context["helpText"] ?? null), "", "required");
        echo "

                ";
        // line 25
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 26
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 27
        echo "                ";
        echo $context["forms"]->getcheckbox("useDuration", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getUseDuration", [], "method"), ($context["helpText"] ?? null));
        echo "

                ";
        // line 29
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 30
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 31
        echo "                ";
        echo $context["forms"]->getnumber("duration", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getDuration", [], "method"), ($context["helpText"] ?? null), "duration-fields", "required");
        echo "

                ";
        // line 33
        ob_start(function () { return ''; });
        echo __("Scale type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 34
        echo "                ";
        ob_start(function () { return ''; });
        echo __("How should this video be scaled?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 35
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Aspect");
        $context["aspect"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 36
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Stretch");
        $context["stretch"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 37
        echo "                ";
        $context["options"] = [0 => ["scaleTypeId" => "aspect", "scaleType" =>         // line 38
($context["aspect"] ?? null)], 1 => ["scaleTypeId" => "stretch", "scaleType" =>         // line 39
($context["stretch"] ?? null)]];
        // line 41
        echo "                ";
        echo $context["forms"]->getdropdown("scaleTypeId", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "scaleType"], "method"), ($context["options"] ?? null), "scaleTypeId", "scaleType", ($context["helpText"] ?? null));
        echo "

                ";
        // line 43
        ob_start(function () { return ''; });
        echo __("Mute?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 44
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Should the video be muted?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 45
        echo "                ";
        echo $context["forms"]->getcheckbox("mute", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "mute", 1 => 0], "method"), ($context["helpText"] ?? null), "mute-fields");
        echo "

                ";
        // line 47
        ob_start(function () { return ''; });
        echo __("Show Full Screen?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 48
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Should the video expand over the top of existing content and show in full screen?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                ";
        echo $context["forms"]->getcheckbox("showFullScreen", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "showFullScreen", 1 => 0], "method"), ($context["helpText"] ?? null));
        echo "

                ";
        // line 51
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 53
        echo "
                ";
        // line 54
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 58
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 59
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 60
($context["inheritOption"] ?? null)]];
        // line 62
        echo "                ";
        echo $context["forms"]->getdropdown("enableStat", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => $this->getAttribute(($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method")], "method"), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null));
        echo "

                <div class=\"alert alert-info\">
                    ";
        // line 65
        ob_start(function () { return ''; });
        echo __("Please note that video scaling and video streaming via RTSP is only supported by Android, webOS and Linux players at the current time. The HLS streaming Widget can be used to show compatible video streams on Windows.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "                    ";
        echo $context["forms"]->getmessage(($context["message"] ?? null));
        echo "
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "localvideo-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  213 => 66,  209 => 65,  202 => 62,  200 => 60,  199 => 59,  198 => 58,  196 => 57,  191 => 56,  186 => 55,  182 => 54,  179 => 53,  174 => 52,  170 => 51,  164 => 49,  159 => 48,  155 => 47,  149 => 45,  144 => 44,  140 => 43,  134 => 41,  132 => 39,  131 => 38,  129 => 37,  124 => 36,  119 => 35,  114 => 34,  110 => 33,  104 => 31,  99 => 30,  95 => 29,  89 => 27,  84 => 26,  80 => 25,  74 => 23,  71 => 22,  66 => 21,  62 => 20,  58 => 19,  54 => 17,  51 => 16,  46 => 13,  43 => 12,  38 => 9,  36 => 10,  30 => 9,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "localvideo-form-edit.twig", "/home/mgatv524/public_html/edurocha/modules/localvideo-form-edit.twig");
    }
}
